Package net.sf.saxon.expr.instruct

## Class DummyNamespaceResolver

- java.lang.Object
- - net.sf.saxon.expr.instruct.DummyNamespaceResolver

- All Implemented Interfaces:
    `NamespaceResolver`

      public final class DummyNamespaceResolver
      extends java.lang.Object
      implements NamespaceResolver

  A dummy namespace resolver used when validating QName-valued attributes written to the result tree. The namespace node might be created after the initial validation of the attribute, so in the first round of validation we only check the lexical form of the value, and we defer prefix checks until later.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DummyNamespaceResolver` | `getInstance()` | Return the singular instance of this class
    `java.lang.String` | `getURIForPrefix​(java.lang.String prefix, boolean useDefault)` | Get the namespace URI corresponding to a given prefix.
    `java.util.Iterator<java.lang.String>` | `iteratePrefixes()` | Get an iterator over all the prefixes declared in this namespace context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static DummyNamespaceResolver getInstance()

      Return the singular instance of this class
      Returns:
        the singular instance

    - #### getURIForPrefix

          public java.lang.String getURIForPrefix​(java.lang.String prefix,
                                                  boolean useDefault)

      Get the namespace URI corresponding to a given prefix.
      Specified by:
        `getURIForPrefix` in interface `NamespaceResolver`
      Parameters:
        `prefix` - the namespace prefix
        `useDefault` - true if the default namespace is to be used when the prefix is ""
      Returns:
        the uri for the namespace, or null if the prefix is not in scope

    - #### iteratePrefixes

          public java.util.Iterator<java.lang.String> iteratePrefixes()

      Get an iterator over all the prefixes declared in this namespace context. This will include the default namespace (prefix="") and the XML namespace where appropriate
      Specified by:
        `iteratePrefixes` in interface `NamespaceResolver`
      Returns:
        an iterator over all the prefixes for which a namespace binding exists, including the zero-length string to represent the null/absent prefix if it is bound